#
# spec file for package kemboss
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kemboss
Summary:        Molecular Biology User Interface for EMBOSS
# Files under /qtfindreplacedialog are LGPLv3
License:        GPL-2.0 and LGPL-3.0
Group:          Productivity/Scientific/Other
Version:        1.3
Release:        0
%define tarver  %(echo %{version} | sed -e 's/\\./_/g')
Source:         http://www.tobias-schwarz.net/programmierung/sources/%{name}_%{tarver}_src.tar.gz
Url:            http://www.tobias-schwarz.net/kemboss.html
BuildRequires:  gcc-c++
%if 0%{?fedora} || 0%{?rhel_version} || 0%{?centos_version}  
BuildRequires:  qt4-devel
%else  
BuildRequires:  libqt4-devel
%endif
# for directory ownership
BuildRequires:  hicolor-icon-theme
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       EMBOSS

%description
Graphical user interface for the bioinformatics package EMBOSS
(http://www.emboss.org/). It uses Qt4 to show nice windows for
configuring and running the more than 200 programs included in EMBOSS.
It also contains some sequence editing capabilities.

%prep
%setup -q

%build
cd ./src
%if 0%{?fedora} || 0%{?rhel_version} || 0%{?centos_version}
qmake-qt4 kemboss.pro
%else
qmake kemboss.pro
%endif

make RPM_OPT_FLAGS="%{optflags}"

%install

mkdir -p %{buildroot}%{_bindir}
install -sm 755 %{name} %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_datadir}/%{name}/data/
install -m 644 data/* %{buildroot}%{_datadir}/%{name}/data/

mkdir -p %{buildroot}%{_sysconfdir}/%{name}/default_settings/
install -m 644 default_settings/* %{buildroot}%{_sysconfdir}/%{name}/default_settings/

mkdir -p %{buildroot}%{_datadir}/applications/
install -m 755 src/shared_X11/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

mv src/shared_X11/%{name}.png src/shared_X11/%{name}22.png
for res in 16 22 32 36 48 64 72 96 128 ; do
    mkdir -p %{buildroot}%{_datadir}/icons/hicolor/"$res"x"$res"/apps/
    install -m 644 src/shared_X11/%{name}"$res".png %{buildroot}%{_datadir}/icons/hicolor/"$res"x"$res"/apps/%{name}.png
done

chmod a-x {copying,copyright,todo,versions}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc copying copyright todo versions
%config(noreplace) %{_sysconfdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%changelog
